/* General Styles */
* {
    margin: 0;
    padding: 0;
    font-family: sans-serif;
    box-sizing: border-box;
}

.banner {
    width: 100%;
    height: 100vh;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    background: rgba(0, 0, 0, 0.4);
}

.banner video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}

.navbar {
    width: 90%;
    padding: 20px;
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logo {
    width: 140px;
}

.navbar ul {
    display: flex;
    gap: 20px;
}

.navbar ul li {
    list-style: none;
}

.navbar ul li a {
    text-decoration: none;
    text-transform: uppercase;
    color: white;
    font-weight: 600;
    padding: 10px;
}

.navbar ul li a:hover {
    background: white;
    color: black;
    transition: 0.6s;
}

.content p {
    font-size: 50px;
    font-weight: 800;
    color: white;
    margin-bottom: 20px;
}

.button {
    display: inline-block;
    padding: 12px 25px;
    background-color: white;
    color: black;
    font-size: 20px;
    font-weight: 600;
    border-radius: 25px;
    text-decoration: none;
    transition: 0.5s;
}

.button:hover {
    background: rgb(0, 192, 226);
    color: white;
}

/* Responsive Design */
@media (max-width: 768px) {
    .navbar {
        flex-direction: column;
        align-items: center;
    }

    .navbar ul {
        flex-direction: column;
        padding: 10px;
        gap: 10px;
    }

    .content p {
        font-size: 30px;
    }

    .button {
        font-size: 16px;
        padding: 10px 20px;
    }
}

@media (max-width: 480px) {
    .logo {
        width: 100px;
    }

    .content p {
        font-size: 24px;
    }

    .button {
        font-size: 14px;
        padding: 8px 15px;
    }
}
